Subject: [Fot] TR6 parts needed

From: <[email-masked]>
Date: Mon, 15 Feb 2016 18:16:12 +0000

Walt's TR6 piston request reminded me that we need some panels to fix up the Beanito's TR6 after this weekends run-in with a pair of Beemers during the WRL Endurance race at COTA. We got spun and smacked in the front losing the front valance in full, crunching the passenger fender (it was fiberglass), the hood and we probably should swap out the two inner fenders and wheel wells. The radiator and fenders acted as a crumple zone and other than one radiator mount getting almost ripped off I think the frame is okay. I suppose we could take a mold off a steel fender and repair the fender but it is worth asking if anyone might have a RF fiberglass fender.

Bob Kramer
[email-masked]

---- Walter Hollowell <[email-masked]> wrote: 
> I am freshening up a late model TR6 engine and see that one piston has a
> nick in it. Does any FOT member have one aluminum piston .040 oversized they
> would be willing to sell?
> 

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive